# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['iydon',
 'iydon.base',
 'iydon.namespace',
 'iydon.test',
 'iydon.util',
 'iydon.util.glhf',
 'iydon.util.rust',
 'iydon.util.rust.std']

package_data = \
{'': ['*']}

extras_require = \
{'full': ['typing-extensions>=4.5.0,<5.0.0'],
 'type': ['typing-extensions>=4.5.0,<5.0.0']}

setup_kwargs = {
    'name': 'iydon',
    'version': '2023.3.2',
    'description': "Iydon's common tools",
    'long_description': '<div align="center">\n  <a href="https://github.com/iydon/iydon">\n    🔵⬜🟦⬜🟦<br />\n    ⬜⬜🟦⬜🟦<br />\n    🟦⬜🟦🟦🟦<br />\n    🟦⬜⬜⬜🟦<br />\n    🟦⬜🟦🟦🟦<br />\n  </a>\n\n  <h3 align="center">Iydon (梁钰栋 in Chinese)</h3>\n\n  <p align="center">\n    <a href="https://www.iydon.top">\n      <img src="https://img.shields.io/static/v1?label=Blog&message=iydon.top&color=brightgreen" />\n    </a>\n    ·\n    <a href="https://github.com/iydon">\n      <img src="https://img.shields.io/static/v1?label=GitHub&message=iydon&color=green" />\n    </a>\n    ·\n    <a href="mailto:liangiydon@gmail.com">\n      <img src="https://img.shields.io/static/v1?label=Gmail&message=liangiydon&color=yellowgreen" />\n    </a>\n    ·\n    <a href="https://steamcommunity.com/id/iydon">\n      <img src="https://img.shields.io/static/v1?label=Steam&message=iydon&color=yellow" />\n    </a>\n    ·\n    <img src="https://visitor-badge.glitch.me/badge?page_id=iydon&right_color=orange&left_text=Visitors" />\n    ·\n    <img src="https://img.shields.io/static/v1?label=WeChat&message=liangiydon&color=red" />\n  </p>\n</div>\n\n\n\n<details>\n  <summary><strong>GitHub Statistics</strong></summary>\n  <img src="https://github-readme-stats.vercel.app/api?username=iydon&count_private=true&show_icons=true&include_all_commits=true&theme=graywhite" />\n</details>\n\n\n\n<details>\n  <summary><strong>Code Statistics</strong></summary>\n  <pre><code>\n━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━\n Language            Files        Lines         Code     Comments       Blanks\n━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━\n Autoconf                9           45           36            0            9\n BASH                   32           98           34           32           32\n Batch                   7          343          289            3           51\n C                      35        4,264        2,477        1,053          734\n C Header               46        3,370        2,351          485          534\n C++                    13          611          462           40          109\n CSS                     6          493          480           12            1\n Cython                  1           16            7            5            4\n Dockerfile              3          215           95          100           20\n Forge Config            2           38           38            0            0\n FORTRAN Modern          2          201          164            0           37\n Go                      2          140          118            0           22\n INI                     1            6            6            0            0\n JavaScript              2            4            4            0            0\n JSON                   79       21,932       21,930            0            2\n Julia                   2          120          105            0           15\n M4                      2        1,069          927            0          142\n MATLAB                155        6,266        4,650        1,017          599\n Makefile               70        1,322          926           79          317\n Python                844       88,642       76,181        2,127       10,334\n R                       5          256          215            6           35\n ReStructuredText       21        1,046          705            0          341\n Shell                   9          158           91           38           29\n SQL                    22        8,027        7,823          118           86\n SVG                     6          968          883            1           84\n TeX Class              26       14,091       10,548        2,413        1,130\n TeX Definition          3          207          195           12            0\n TeX                   676      328,270      178,952        3,421      145,897\n Plain Text             66      182,314            0      180,122        2,192\n TOML                   15          469          405           10           54\n XML                     1            7            7            0            0\n YAML                   93       37,661       35,816        1,147          698\n───────────────────────────────────────────────────────────────────────────────\n HTML                   32        2,626        2,231          322           73\n |- CSS                  6          123          122            0            1\n |- JavaScript          10          530          457           11           62\n (Total)                          3,279        2,810          333          136\n───────────────────────────────────────────────────────────────────────────────\n Jupyter Notebooks      11          658          324          270           64\n |- Markdown             7          288            0          259           29\n |- Python              10          370          324           11           35\n (Total)                          1,316          648          540          128\n───────────────────────────────────────────────────────────────────────────────\n Markdown              377       27,448            0       20,957        6,491\n |- C                    1            7            6            0            1\n |- C++                  2           78           63            2           13\n |- HTML                 2           66           66            0            0\n |- JSON                 2        1,096        1,096            0            0\n |- MATLAB               1           62           28           29            5\n |- Markdown             1           51            0           50            1\n |- Python              36        2,017        1,621           82          314\n |- R                    2          214          178           36            0\n |- Rust                 2          269          237            6           26\n |- Shell               23        1,027          979            0           48\n |- SQL                  1            2            2            0            0\n |- TeX                  2           42           35            0            7\n |- TOML                 1           13           11            0            2\n |- XML                  1            8            8            0            0\n |- YAML                 7          263          234           17           12\n (Total)                         32,663        4,564       21,179        6,920\n───────────────────────────────────────────────────────────────────────────────\n Rust                  146       11,378        9,824          355        1,199\n |- Markdown             2        2,891           26        2,177          688\n (Total)                         14,269        9,850        2,532        1,887\n━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━\n Total               2,822      754,196      364,792      216,825      172,579\n━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━\n  </code></pre>\n</details>\n',
    'author': 'Iydon Liang',
    'author_email': 'liangiydon@gmail.com',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/iydon/iydon',
    'packages': packages,
    'package_data': package_data,
    'extras_require': extras_require,
    'python_requires': '>=3.7,<4.0',
}


setup(**setup_kwargs)
